{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-245.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kcompletion-5.115.0-1.fc40",
        "store-results-to": "/tmp/tmpriuwa5xu/kf5-kcompletion-5.115.0-1.fc40.tar.xz",
        "time-created": "2024-07-03 13:40:29",
        "time-finished": "2024-07-03 13:42:12",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpriuwa5xu/kf5-kcompletion-5.115.0-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmpriuwa5xu/kf5-kcompletion-5.115.0-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "5b4a430237e2034ff6f726c70e7f1940f3137a2f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kcompletionbox.cpp",
                    "line": 531,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'dirty' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kcompletionbox.cpp",
                    "line": 531,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'dirty' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  529|           // If there is an unused item, mark as dirty -> less items now",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  530|           if (rowIndex < count()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  531|->             dirty = true;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  532|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  533|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4df0f37cc2cf1726917b93dda6eb2c4a44797fa5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 740,
                    "column": 25,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'len' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 740,
                    "column": 25,
                    "event": "note",
                    "message": "Value stored to 'len' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  738|                           backspace();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  739|                           txt = text();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  740|->                         len = txt.length();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  741|                       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  742|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "3a1bf1dfd9332884777b1647fff2b7c23947e223",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1286,
                    "column": 13,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 496,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 496,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 499,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 499,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 507,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 507,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 512,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 512,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 517,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 517,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 522,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 522,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 527,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 527,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 535,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 535,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 544,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 544,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 548,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 548,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 552,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 552,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 556,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 556,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 564,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 564,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 564,
                    "column": 44,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 564,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 565,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 565,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 565,
                    "column": 43,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 565,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 594,
                    "column": 34,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 595,
                    "column": 34,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 598,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'mode' is not equal to CompletionAuto",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 598,
                    "column": 14,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 599,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'mode' is not equal to CompletionPopupAuto",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 598,
                    "column": 14,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 600,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'mode' is not equal to CompletionMan",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 601,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 638,
                    "column": 14,
                    "event": "note",
                    "message": "'mode' is not equal to CompletionAuto",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 638,
                    "column": 14,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 639,
                    "column": 17,
                    "event": "note",
                    "message": "'mode' is not equal to CompletionMan",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 640,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 698,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming 'mode' is not equal to CompletionPopup",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 698,
                    "column": 21,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 698,
                    "column": 61,
                    "event": "note",
                    "message": "'mode' is not equal to CompletionPopupAuto",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 699,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 698,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 769,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'mode' is not equal to CompletionShell",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 769,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 795,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 795,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 801,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 801,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 812,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 812,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 818,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 818,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 829,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 829,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 831,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 831,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 837,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 837,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 838,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 838,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 841,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 841,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 842,
                    "column": 21,
                    "event": "note",
                    "message": "Calling 'KLineEdit::setCompletedItems'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1273,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'completionBox' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1273,
                    "column": 26,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1281,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1281,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1282,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1282,
                    "column": 33,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1281,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1286,
                    "column": 13,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1284|           completionBox();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1285|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1286|->         if (d->completionBox->isVisible()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1287|               QListWidgetItem *currentItem = d->completionBox->currentItem();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1288|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "9b9052c66a32d21649a6868cf8fe05c83e9d50e1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1332,
                    "column": 9,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 496,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 496,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 499,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 499,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 507,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 507,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 512,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 512,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 517,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 517,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 522,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 522,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 527,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 527,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 535,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 535,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 544,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 544,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 548,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 548,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 552,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 552,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 556,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 556,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 564,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 564,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 564,
                    "column": 44,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 564,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 565,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 565,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 565,
                    "column": 43,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 565,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 594,
                    "column": 34,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 595,
                    "column": 34,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 598,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'mode' is not equal to CompletionAuto",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 598,
                    "column": 14,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 599,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'mode' is not equal to CompletionPopupAuto",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 598,
                    "column": 14,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 600,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming 'mode' is not equal to CompletionMan",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 601,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 638,
                    "column": 14,
                    "event": "note",
                    "message": "'mode' is not equal to CompletionAuto",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 638,
                    "column": 14,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 639,
                    "column": 17,
                    "event": "note",
                    "message": "'mode' is not equal to CompletionMan",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 640,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 698,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming 'mode' is not equal to CompletionPopup",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 698,
                    "column": 21,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 698,
                    "column": 61,
                    "event": "note",
                    "message": "'mode' is not equal to CompletionPopupAuto",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 699,
                    "column": 20,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 698,
                    "column": 16,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 769,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'mode' is equal to CompletionShell",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 769,
                    "column": 16,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 772,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 772,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 778,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 778,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 783,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 783,
                    "column": 21,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 783,
                    "column": 48,
                    "event": "note",
                    "message": "Assuming 'len' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 783,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 784,
                    "column": 21,
                    "event": "note",
                    "message": "Calling 'KLineEdit::doCompletion'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1502,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1502,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1506,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1506,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1507,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'KLineEdit::makeCompletion'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 285,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'comp' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 285,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 285,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming 'mode' is not equal to CompletionNone",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 285,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 291,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'mode' is equal to CompletionPopup",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 291,
                    "column": 46,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 292,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 292,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 298,
                    "column": 13,
                    "event": "note",
                    "message": "Calling 'KLineEdit::setCompletedItems'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1273,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'completionBox' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1273,
                    "column": 26,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1281,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1281,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1282,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1282,
                    "column": 33,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1281,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1284,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'KLineEdit::completionBox'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1330,
                    "column": 9,
                    "event": "note",
                    "message": "'create' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1330,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1330,
                    "column": 23,
                    "event": "note",
                    "message": "Field 'completionBox' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1330,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/klineedit.cpp",
                    "line": 1332,
                    "column": 9,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1330|       if (create && !d->completionBox) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1331|           setCompletionBox(new KCompletionBox(this));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1332|->         d->completionBox->setObjectName(QStringLiteral(\"completion box\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1333|           d->completionBox->setFont(font());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1334|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ba97baa696f677468e9206053f631ac0798e8f92",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 312,
                    "column": 18,
                    "event": "warning[core.NullDereference]",
                    "message": "Access to field 'newer' results in a dereference of a null pointer (loaded from field 'currentBlock')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 298,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'hashList' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 298,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 298,
                    "column": 24,
                    "event": "note",
                    "message": "Assuming field 'hashDirty' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 298,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 301,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 302,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 301,
                    "column": 35,
                    "event": "note",
                    "message": "Assuming pointer value is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 301,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 306",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 306,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 306,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 310,
                    "column": 15,
                    "event": "note",
                    "message": "Field 'currentBlock' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 310,
                    "column": 12,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 310,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 311,
                    "column": 9,
                    "event": "note",
                    "message": "Null pointer value stored to field 'currentBlock'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 312,
                    "column": 18,
                    "event": "note",
                    "message": "Access to field 'newer' results in a dereference of a null pointer (loaded from field 'currentBlock')",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  310|       while (d->currentBlock && !d->currentBlock->is_in(ptr)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  311|           d->currentBlock = d->currentBlock->older;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  312|->         delBlock(d->currentBlock->newer);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  313|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  314|       d->blockOffset = ((char *)ptr) - d->currentBlock->begin;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "12197316ed2a6c274d1eab8e817c5eb0e4331975",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 314,
                    "column": 38,
                    "event": "warning[core.NullDereference]",
                    "message": "Access to field 'begin' results in a dereference of a null pointer (loaded from field 'currentBlock')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 298,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'hashList' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 298,
                    "column": 21,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 310,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming field 'currentBlock' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 310,
                    "column": 28,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kcompletion-5.115.0-build/kcompletion-5.115.0/src/kzoneallocator.cpp",
                    "line": 314,
                    "column": 38,
                    "event": "note",
                    "message": "Access to field 'begin' results in a dereference of a null pointer (loaded from field 'currentBlock')",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  312|           delBlock(d->currentBlock->newer);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  313|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  314|->     d->blockOffset = ((char *)ptr) - d->currentBlock->begin;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  315|   }",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
